Loading...
Searching...
No Matches
req_msg_source.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2013-2015 Free Software Foundation, Inc.
*
* This file is part of GNU Radio.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_ZEROMQ_REQ_MSG_SOURCE_H
#define INCLUDED_ZEROMQ_REQ_MSG_SOURCE_H
#include <gnuradio/block.h>
#include <gnuradio/zeromq/api.h>
namespace gr {
namespace zeromq {
/*!
* \brief Receive messages on ZMQ REQ socket output async messages
* \ingroup zeromq
*
* \details
* This block will connect to a ZMQ REP socket, then resend all
* incoming messages as asynchronous messages.
*/
class ZEROMQ_API req_msg_source : virtual public gr::block
{
public:
typedef std::shared_ptr<req_msg_source> sptr;
/*!
* \brief Return a shared_ptr to a new instance of zeromq::req_msg_source.
*
* \param address ZMQ socket address specifier
* \param timeout Receive timeout in milliseconds, default is 100ms, 1us increments
* \param bind If true this block will bind to the address, otherwise it will
* connect; the default is to connect
*
*/
static sptr make(char* address, int timeout = 100, bool bind = false);
/*!
* \brief Return a std::string of ZMQ_LAST_ENDPOINT from the underlying ZMQ socket.
*/
virtual std::string last_endpoint() = 0;
};
} // namespace zeromq
} // namespace gr
#endif /* INCLUDED_ZEROMQ_SOURCE_REQREP_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::zeromq::req_msg_source
Receive messages on ZMQ REQ socket output async messages.
Definition req_msg_source.h:29
gr::zeromq::req_msg_source::make
static sptr make(char *address, int timeout=100, bool bind=false)
Return a shared_ptr to a new instance of zeromq::req_msg_source.
gr::zeromq::req_msg_source::last_endpoint
virtual std::string last_endpoint()=0
Return a std::string of ZMQ_LAST_ENDPOINT from the underlying ZMQ socket.
gr::zeromq::req_msg_source::sptr
std::shared_ptr< req_msg_source > sptr
Definition req_msg_source.h:31
block.h
api.h
ZEROMQ_API
#define ZEROMQ_API
Definition gr-zeromq/include/gnuradio/zeromq/api.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29